# Yahoo! UI Library

### imageloader 2.8.2r1

Yahoo! UI Library > imageloader > YAHOO.util.ImageLoader.bgImgObj
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.ImageLoader.bgImgObj - extends YAHOO.util.ImageLoader.imgObj

Background image object. A background image is one whose URL is specified by "background-image" in the element's style

### Constructor

YAHOO.util.ImageLoader.bgImgObj `( domId , url )`

Parameters:
  `domId <String>` HTML DOM id of the image element
  `url <String>` URL for the image

#### Properties inherited from YAHOO.util.ImageLoader.imgObj:

`_fetched, domId, height, setVisible, url, width`

### Methods

#### _applyUrl

`private void _applyUrl ( el )`
Inserts the image URL into the DOM so that the image is displayed. Sets style.backgroundImage

Parameters:
  `el <Object>` HTML DOM element

#### Methods inherited from YAHOO.util.ImageLoader.imgObj:

`_applyUrl, fetch`

Copyright © 2010 Yahoo! Inc. All rights reserved.